<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\FileUpload;

class GalleryFileUpload extends FileUpload
{
    public static function create(): static
    {
        return parent::make('gallery')
            ->label('گالری')
            ->panelLayout('grid')
            ->directory('files')
            ->downloadable()
            ->reorderable()
            ->moveFiles()
            ->openable()
            ->multiple()
            ->columnSpan(12);
    }
}
